package com.unibuy.smartdevice.structure;

public class InvoiceItemStructure {
    private String itemSeq;
    private String itemName;
    private int itemCount;
    private String itemWord;
    private int itemPrice;
    private String itemTaxType = "1";
    private int itemAmount;
    private String itemRemark = "商品備註: 無";

    public String getItemSeq() {
        return itemSeq;
    }

    public String getItemName() {
        return itemName;
    }

    public int getItemCount() {
        return itemCount;
    }

    public String getItemWord() {
        return itemWord;
    }

    public int getItemPrice() {
        return itemPrice;
    }

    public String getItemTaxType() {
        return itemTaxType;
    }

    public int getItemAmount() {
        return itemAmount;
    }

    public String getItemRemark() {
        return itemRemark;
    }

    public void setItemSeq(String itemSeq) {
        this.itemSeq = itemSeq;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public void setItemCount(int itemCount) {
        this.itemCount = itemCount;
    }

    public void setItemWord(String itemWord) {
        this.itemWord = itemWord;
    }

    public void setItemPrice(int itemPrice) {
        this.itemPrice = itemPrice;
    }

    public void setItemTaxType(String itemTaxType) {
        this.itemTaxType = itemTaxType;
    }

    public void setItemAmount(int itemAmount) {
        this.itemAmount = itemAmount;
    }

    public void setItemRemark(String itemRemark) {
        this.itemRemark = itemRemark;
    }

    public InvoiceItemStructure(String itemSeq, String itemName, int itemCount, String itemWord, int itemPrice, int itemAmount) {
        this.itemSeq = itemSeq;
        this.itemName = itemName;
        this.itemCount = itemCount;
        this.itemWord = itemWord;
        this.itemPrice = itemPrice;
        this.itemAmount = itemAmount;
    }
}
